Subject: bug#40538: installer: Support uvesafb to install on machines without KMS.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 12 Apr 2020 17:30:52 +0200

On Sun, Apr 12, 2020 at 04:48:36PM +0200, Mathieu Othacehe wrote:
> Thanks for your patch. I tried briefly 1.1.0-rc2 on some hardware of
> mine. On three somehow recent laptops, everything still works fine but
> v86d segfaults without giving much information.
> 
> The 'dmesg' output looks like:
> 
> --8<---------------cut here---------------start------------->8---
> v86d[371]: segfault at xxxxx.
> uvesafb: Getting VBE info block failed (eax=0x4f00, err=1)
> uvesafb: vbe_init() failed with -22
> uvesafb: probe of uvesafb.0 failed with error -22
> --8<---------------cut here---------------end--------------->8---
>

Even though I do not remember a segfault, I believe these errors come
when another driver has already reserved the memory that uvesafb
wants.  If the other driver already works fine and that is the only
error, maybe we can just ignore the uvesafb error.

> On a really old Intel machine, I have a complete black screen on all TTY
> but that was maybe the case on older Guix System revisions and I would
> need to do more investigations.
> 
> Mathieu

Please try adding nomodeset to the kernel parameters.  I hope this
makes the Intel machine work fine.

Thank you for your feedback and all your work!

Regards,
Florian